2023-02-12 04:48:34 UTC
113 MB
true
GODEBUGmadvdontneed=1
LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE/
PATH/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:963f82b80814f1fb5073cc13c93ff0be458d819e9089a7c705b55fedfd03c1b2 - 26.74% (30.3 MB)
[#001] sha256:c7581d8b954b279739f65565f3ff1a935ba7e887c8e0385de14d61f2643bfa30 - 31.78% (36 MB)
[#002] sha256:eed4589ad8df553104cbd66fb9ecdbbf6c34d27e486c4fd1c38d45143633e4cb - 0.01% (9.92 KB)
[#003] sha256:2d5aff761bf235c5c667987af4ac90733ac5c6ea11c1df19c3a66128ac4f561e - 0.0% (619 Bytes)
[#004] sha256:757098f71d8578338ce84a6f995edebdabbace51a51db788e53e3f70402af3d3 - 0.0% (613 Bytes)
[#005] sha256:585985db8103e5248e49c7a2bfe25362af3efbc64f29dfc935e902a5cecef0de - 41.18% (46.7 MB)
[#006] sha256:a4f5b22d60f8991512c912a6fab751fd0dd4d010be10b6baac217366b75640c1 - 0.0% (106 Bytes)
[#007] sha256:d73fb42a73cbf2fc6f05bb9b2957338df4f1d770ae17b606356286c06f4639dd - 0.01% (5.92 KB)
[#008] sha256:155404c441c00ae457f6e5d4b97262e3eb076171bff2bd694e57e1bfd1a9f943 - 0.29% (339 KB)
[#009] sha256:e883a36b4b19b8cf1874c0b7af01ee3420b00b7daeb37ad838fbf04efd65aaa2 - 0.0% (699 Bytes)
[#010] sha256:84edf30d252e373da721fdbd1e96ff0e868fe20383218aa914effab86cda3aeb - 0.0% (1.97 KB)
[#011] sha256:89732bc7504122601f40269fc9ddfb70982e633ea9caf641ae45736f2846b004 - 0.0% (39 Bytes)
/bin/sh -c #(nop) ARG RELEASE
2023-02-01 11:42:37 UTC/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH
2023-02-01 11:42:37 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu
2023-02-01 11:42:37 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.version=20.04
2023-02-01 11:42:39 UTC/bin/sh -c #(nop) ADD file:8b180a9b4497de0c6e131d6b48cf5c69a885379e63033ab9639d1655991e626c in /
2023-02-01 11:42:39 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2023-02-12 04:31:53 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c for iter in {1..10}; do apt-get update -y && DEBIAN_FRONTEND=noninteractive apt-get install --no-install-recommends --yes ca-certificates curl gawk libcap2-bin xz-utils && apt-get clean all && exit_code=0 && break || exit_code=$? && echo "apt-get error: retry $iter in 10s" && sleep 10; done; (exit $exit_code) # buildkit
2023-02-12 04:31:55 UTC (buildkit.dockerfile.v0)LABEL org.label-schema.build-date=2023-02-12T04:36:41Z org.label-schema.schema-version=1.0 org.label-schema.vendor=Elastic org.label-schema.license=Elastic License org.label-schema.name=filebeat org.label-schema.version=8.6.2 org.label-schema.url=https://www.elastic.co/beats/filebeat org.label-schema.vcs-url=github.com/elastic/beats/v7 org.label-schema.vcs-ref=9b77c2c135c228c2eedc310f6e975bb1a76169b1 io.k8s.description=Filebeat sends log files to Logstash or directly to Elasticsearch. io.k8s.display-name=Filebeat image org.opencontainers.image.created=2023-02-12T04:36:41Z org.opencontainers.image.licenses=Elastic License org.opencontainers.image.title=Filebeat org.opencontainers.image.vendor=Elastic name=filebeat [email protected] vendor=Elastic version=8.6.2 release=1 url=https://www.elastic.co/beats/filebeat summary=filebeat license=Elastic License description=Filebeat sends log files to Logstash or directly to Elasticsearch.
2023-02-12 04:31:55 UTC (buildkit.dockerfile.v0)ENV ELASTIC_CONTAINER=true
2023-02-12 04:31:55 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2023-02-12 04:31:55 UTC (buildkit.dockerfile.v0)ENV GODEBUG=madvdontneed=1
2023-02-12 04:31:55 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -e ; TINI_BIN=""; TINI_SHA256=""; TINI_VERSION="v0.19.0"; echo "The arch value is $(arch)"; case "$(arch)" in x86_64) TINI_BIN="tini-amd64"; TINI_SHA256="93dcc18adc78c65a028a84799ecf8ad40c936fdfc5f2a57b1acda5a8117fa82c"; ;; aarch64) TINI_BIN="tini-arm64"; TINI_SHA256="07952557df20bfd2a95f9bef198b445e006171969499a1d361bd9e6f8e5e0e81"; ;; *) echo >&2 ; echo >&2 "Unsupported architecture \$(arch)" ; echo >&2 ; exit 1 ; ;; esac ; curl --retry 8 -S -L -O "https://github.com/krallin/tini/releases/download/${TINI_VERSION}/${TINI_BIN}" ; echo "${TINI_SHA256} ${TINI_BIN}" | sha256sum -c - ; mv "${TINI_BIN}" /usr/bin/tini ; chmod +x /usr/bin/tini # buildkit
2023-02-12 04:31:55 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint /usr/local/bin/docker-entrypoint # buildkit
2023-02-12 04:31:56 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c chmod 755 /usr/local/bin/docker-entrypoint # buildkit
2023-02-12 04:48:32 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat /usr/share/filebeat # buildkit
2023-02-12 04:48:33 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c mkdir /licenses # buildkit
2023-02-12 04:48:33 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat/LICENSE.txt /licenses # buildkit
2023-02-12 04:48:33 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat/NOTICE.txt /licenses # buildkit
2023-02-12 04:48:34 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c groupadd --gid 1000 filebeat # buildkit
2023-02-12 04:48:34 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c useradd -M --uid 1000 --gid 1000 --groups 0 --home /usr/share/filebeat filebeat # buildkit
2023-02-12 04:48:34 UTC (buildkit.dockerfile.v0)USER filebeat
2023-02-12 04:48:34 UTC (buildkit.dockerfile.v0)ENV LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE=/
2023-02-12 04:48:34 UTC (buildkit.dockerfile.v0)WORKDIR /usr/share/filebeat
2023-02-12 04:48:34 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["/usr/bin/tini" "--" "/usr/local/bin/docker-entrypoint"]
2023-02-12 04:48:34 UTC (buildkit.dockerfile.v0)CMD ["-environment" "container"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.